# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# ##### END GPL LICENSE BLOCK #####


bl_info = {
    "name": "Studio Backdrops",
    "author": "diouke",
    "version": (1, 0),
    "blender": (2, 67, 1),
    "location": "View3D > Add > Mesh > Studio Backdrops",
    "description": "Ajoute des studios",
    "warning": "",
    "wiki_url": "",
    "tracker_url": "",
    "category": "Add Mesh"}


    
import bpy


class INFO_MT_mesh_studio_backdrops_add(bpy.types.Menu):
    # Definit le menu "Studio Backdrops"
    bl_idname = "INFO_MT_mesh_studio_backdrops_add"
    bl_label = "Studio Backdrops"

    def draw(self, context):
        layout = self.layout
        layout.operator_context = 'INVOKE_REGION_WIN'
        
        
        
        layout.menu("INFO_MT_studio_add", text="Studios", icon='OUTLINER_OB_SURFACE')
                        
        layout.operator_menu_enum("object.lamp_add", "type", text="Lamp", icon='OUTLINER_OB_LAMP')
        

            

class INFO_MT_studio_add(bpy.types.Menu):
    # Definit le menu "Studios"
    bl_idname = "INFO_MT_studio_add"
    bl_label = "Studios"

    def draw(self, context):
        layout = self.layout
        layout.operator_context = 'INVOKE_REGION_WIN'
        
                         
                    
        layout.operator("mesh.add_studio_c",
            text="Studio_C", icon='SURFACE_NSURFACE') 
            
        layout.operator("mesh.add_studio_corner",
            text="Studio_Corner", icon='SURFACE_NSURFACE')
            
        layout.operator("mesh.add_studio_l",
            text="Studio_L", icon='SURFACE_NSURFACE')
            
        layout.operator("mesh.add_studio_s",
            text="Studio_S", icon='SURFACE_NSURFACE')
            
        layout.operator("mesh.add_studio_u",
            text="Studio_U", icon='SURFACE_NSURFACE')                   
            
          


    def execute(self, context):

        add_object(self, context)

        return {'FINISHED'}            
            

class INFO_MT_lights_add(bpy.types.Menu):
    # Definit le menu "Lights"
    bl_idname = "INFO_MT_lights_add"
    bl_label = "Lights"

    def draw(self, context):
        layout = self.layout
        layout.operator_context = 'INVOKE_REGION_WIN'
        
        layout.operator("object.lamp_add",
            text="Lights", icon='LAMP_SUN')                       
        
        
        
 

         
# Register all operators and panels

# Define "Studio_Backdrops" menu
def menu_func(self, context):
    self.layout.menu("INFO_MT_mesh_studio_backdrops_add", icon='RENDER_STILL')


def register():
    bpy.utils.register_module(__name__)

    # Add "Mes_Objets" menu to the "Add Mesh" menu
    bpy.types.INFO_MT_mesh_add.prepend(menu_func)
    
    


def unregister():
    bpy.utils.unregister_module(__name__)

    # Remove "Mes_Objets" menu from the "Add Mesh" menu.
    bpy.types.INFO_MT_mesh_add.remove(menu_func)

if __name__ == "__main__":
    register()